https://github.com/haranjackson/PyPDE


A Python library for solving any system of hyperbolic or parabolic Partial Differential Equations. The PDEs can have stiff source terms and non-conservative components.

Key Features:

- Any first or second order system of PDEs
- Your fluxes and sources are written in Python for ease
- Any number of spatial dimensions
- Arbitrary order of accuracy
- C++ under the hood for speed
- Based on the ADER-WENO method

Please feel free to message me with questions/suggestions: [jackson.haran@gmail.com](mailto:jackson.haran@gmail.com)